FROM python:3.9

WORKDIR /srv

COPY requires.cpu .

ARG tuna=https://pypi.tuna.tsinghua.edu.cn/simple

RUN pip install --no-cache-dir --upgrade pip -i $tuna && \
 pip install --no-cache-dir -r requires.cpu -i $tuna && \
 sed -i "s@http://deb.debian.org@https://mirrors.tuna.tsinghua.edu.cn@g" /etc/apt/sources.list && \
 apt update && apt install -y libgl1-mesa-glx --no-install-recommends && \
 apt-get clean && rm -rf /var/lib/apt/lists/*

CMD ["gunicorn", "app:app"]